/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (c) 1998 Harald Koerfgen
 */
#ifndef __ASM_WBFLUSH_H
#define __ASM_WBFLUSH_H

#include <linux/autoconf.h>
#include <asm/sgidefs.h>

#ifdef CONFIG_CPU_R5900 

/* sync.l is a memroy barrier insn. */
#define wbflush()	asm __volatile__ ("sync.l")

#else /* CONFIG_CPU_R5900 */

#if (_MIPS_ISA == _MIPS_ISA_MIPS1)
/*
 * R2000 or R3000
 */
extern void (*__wbflush) (void);

#define wbflush() __wbflush()

#else
/*
 * we don't need no stinkin' wbflush
 */

#define wbflush()

#endif

#endif /* CONFIG_CPU_R5900 */

#endif /* __ASM_WBFLUSH_H */
